Bug 376671 - .spec file uses unspecified macro %{version}
.spec file uses unspecified macro %{version}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: linuxdoc-tools (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 18:40 EST by Florian La Roche
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 04:43:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2007-11-11 18:40:06 EST
Description of problem:

$ rpm -qp --obsoletes
/fedora/development/i386/os/Packages/linuxdoc-tools-0.9.21-11.fc9.i386.rpm
sgml-tools <= %{version}
linuxdoc-sgml <= %{version}



Possible, but untested patch:

--- linuxdoc-tools.spec 26 Oct 2007 13:06:02 -0000      1.27
+++ linuxdoc-tools.spec 11 Nov 2007 23:36:29 -0000
@@ -2,8 +2,6 @@

 Summary: A text formatting package based on SGML
 Name: linuxdoc-tools
-Obsoletes: sgml-tools <= %{version}
-Obsoletes: linuxdoc-sgml <= %{version}
 Version: 0.9.21
 Release: 11%{?dist}
 License: Freely redistributable without restriction
@@ -25,6 +23,8 @@ Requires: tetex-latex
 %endif
 Provides: sgml-tools = %{version}
 Provides: linuxdoc-sgml = %{version}
+Obsoletes: sgml-tools <= %{version}
+Obsoletes: linuxdoc-sgml <= %{version}

 %description
 Linuxdoc-tools is a text formatting suite based on SGML (Standard



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ondrej Vasik 2007-11-12 04:43:23 EST
Thanks for report - fixed, build as linuxdoc-tools-0.9.21-12.fc9, closing RAWHIDE

Note You need to log in before you can comment on or make changes to this bug.